Bug 188929 - dns/ldapdns - maintainer-update MASTER_SITES update
dns/ldapdns - maintainer-update MASTER_SITES update
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: milki
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-23 21:40 UTC by Chris Hutchinson
Modified: 2014-06-04 03:59 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-04-23 21:40:00 UTC
This comes as a request for maintainer-update, and master_sites update.
I am able to maintain this port, as well as provide a reliable master_sites
location for it's source. I have the entire source tree, including it's
entire history. It is also my goal to move this forward to a newer version.
But wish to wait until this pr(1) has been addressed, and the FreeBSD ports
tree has been updated with the new information (should this request be approved).

I'll send a patch reflecting the (proposed) changes within a few minutes.

--Chris

Fix: 

Approve this request, and apply the upcoming patch.
How-To-Repeat: Attempt to build this port.
Comment 1 Chris Hutchinson 2014-04-23 22:09:40 UTC
> Thank you very much for your problem report.
> It has the internal identification `ports/188929'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=188929
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       dns/ldapdns - maintainer-update MASTER_SITES update
>>Arrival-Date:   Wed Apr 23 20:40:00 UTC 2014
>

Here's the patch(1), as promised.

MODIFIES:
MASTER_SITES
MAINTAINER

PROVIDES:
STAGEDIR

FILES AFFECTED:
Makefile


Index: ldapdns/Makefile
===================================================================
--- ldapdns/Makefile	(revision 351974)
+++ ldapdns/Makefile	(working copy)
@@ -5,9 +5,9 @@
 PORTVERSION=	2.06
 PORTREVISION=	2
 CATEGORIES=	dns
-MASTER_SITES=	#http://www.nimh.org/dl/
+MASTER_SITES=	http://bsdforge.com/projects/source/dns/ldapdns/

-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	portmaster@bsdforge.com
 COMMENT=	LDAP-backed DNS server

 LICENSE=	GPLv2
@@ -15,9 +15,6 @@
 RUN_DEPENDS=	setuidgid:${PORTSDIR}/sysutils/daemontools \
 		tcpserver:${PORTSDIR}/sysutils/ucspi-tcp

-BROKEN=		${MASTER_SITES} is gone - no public distfiles. \
-		port needs upgrade to version 3 (ldapdns.sourceforge.net)
-
 USE_OPENLDAP=	yes
 HAS_CONFIGURE=	yes
 CONFIGURE_ARGS=	--prefix=${PREFIX}
@@ -31,21 +28,20 @@
 SCRIPTS=	ldapdns-conf ldapaxfr-conf domainname.sh
 DOCS=		AUTHORS CHANGELOG FAQ INSTALL README README.[a-s]*

-NO_STAGE=	yes
 do-install:
 .for i in ${PROGRAMS}
-	${INSTALL_PROGRAM} ${WRKSRC}/${i} ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${i} ${STAGEDIR}${PREFIX}/bin
 .endfor
 .for i in ${SCRIPTS}
-	${INSTALL_SCRIPT} ${WRKSRC}/${i} ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/${i} ${STAGEDIR}${PREFIX}/bin
 .endfor
 	@${MKDIR} ${EXAMPLESDIR}/admin
-	${INSTALL_DATA} ${WRKSRC}/sample/* ${EXAMPLESDIR}
-	${INSTALL_SCRIPT} ${WRKSRC}/admin/* ${EXAMPLESDIR}/admin
+	${INSTALL_DATA} ${WRKSRC}/sample/* ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_SCRIPT} ${WRKSRC}/admin/* ${STAGEDIR}${EXAMPLESDIR}/admin
 .if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for i in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${i} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
Comment 2 milki freebsd_committer 2014-06-03 05:21:47 UTC
I'll take this.
Comment 3 commit-hook freebsd_committer 2014-06-04 03:57:48 UTC
A commit references this bug:

Author: milki
Date: Wed Jun  4 03:56:52 UTC 2014
New revision: 356426
URL: http://svnweb.freebsd.org/changeset/ports/356426

Log:
  Maintainer takeover, stage support for dns/ldapdns

  - New maintainer: portmaster@bsdforge.com
  - Staging support
  - DOCS, EXAMPLES options

  PR:		188929
  Submitted by:	portmaster@bsdforge.com (new maintainer)
  Approved by:	swills (mentor)

Changes:
  head/dns/ldapdns/Makefile
  head/dns/ldapdns/pkg-plist
Comment 4 milki freebsd_committer 2014-06-04 03:59:29 UTC
Thanks! Committed with minor changes.